aboutsummaryrefslogtreecommitdiffstats
path: root/main/mutt/APKBUILD
diff options
context:
space:
mode:
authorSören Tempel <soeren+git@soeren-tempel.net>2015-09-08 00:57:06 +0200
committerNatanael Copa <ncopa@alpinelinux.org>2015-09-15 09:33:56 +0200
commit465a7cfb76355ec6c31c312e2934c711c38d1fb3 (patch)
tree3987b83bae61746251342612e55703a07d0319c3 /main/mutt/APKBUILD
parentf21e43e57dc19b74f4428e17a1c2d682b57dabb7 (diff)
downloadaports-465a7cfb76355ec6c31c312e2934c711c38d1fb3.tar.gz
aports-465a7cfb76355ec6c31c312e2934c711c38d1fb3.tar.bz2
aports-465a7cfb76355ec6c31c312e2934c711c38d1fb3.tar.xz
main/mutt: don't tamper with the global configuration
Diffstat (limited to 'main/mutt/APKBUILD')
-rw-r--r--main/mutt/APKBUILD37
1 files changed, 15 insertions, 22 deletions
diff --git a/main/mutt/APKBUILD b/main/mutt/APKBUILD
index c416186d25..5377ab64fa 100644
--- a/main/mutt/APKBUILD
+++ b/main/mutt/APKBUILD
@@ -1,31 +1,23 @@
+# Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
# Contributor: Andrew Manison<amanison@anselsystems.com>
-# Maintainer: Andrew Manison<amanison@anselsystems.com>
+# Maintainer: Andrew Manison<amanison@anselsystems.com>
pkgname=mutt
pkgver=1.5.24
-pkgrel=1
+pkgrel=2
pkgdesc="a small but very powerful text-mode email client"
url="http://www.mutt.org"
arch="all"
license="GPL"
-depends=
-makedepends="cyrus-sasl-dev gdbm-dev gettext-dev gpgme-dev
- libidn-dev ncurses-dev openssl-dev perl"
-install=
+depends=""
+depends_dev="cyrus-sasl-dev gdbm-dev gettext-dev gpgme-dev
+ libidn-dev ncurses-dev openssl-dev"
+makedepends="$depends_dev perl"
+install=""
options="suid"
subpackages="$pkgname-doc $pkgname-lang"
source="https://bitbucket.org/$pkgname/$pkgname/downloads/$pkgname-$pkgver.tar.gz"
_builddir="$srcdir"/$pkgname-$pkgver
-
-prepare() {
- cd "$_builddir"
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
- esac
- done
-}
-
build() {
cd "$_builddir"
ISPELL=/usr/bin/hunspell \
@@ -43,7 +35,7 @@ build() {
--enable-gpgme \
--with-curses \
--with-mailpath=/var/spool/mail \
- --with-docdir=/usr/share/doc/mutt \
+ --with-docdir=/usr/share/doc/$pkgname \
--without-included-gettext \
--with-ssl \
--with-sasl \
@@ -61,11 +53,12 @@ package() {
"$pkgdir"/usr/bin/flea \
|| return 1
- # fix up default config
- cat contrib/gpg.rc >> "$pkgdir"/etc/Muttrc
- grep -C 5 "^color" contrib/sample.muttrc >> "$pkgdir"/etc/Muttrc
- echo "source /etc/Muttrc.local" >> "$pkgdir"/etc/Muttrc
- echo "# Local configuration for Mutt." > "$pkgdir"/etc/Muttrc.local
+ # Don't tamper with the global configuration file.
+ # Many options set in the global config cannot be
+ # overwritten in the users configuration file.
+ # Example: Resetting colors isn't possible.
+ install -Dm644 contrib/gpg.rc \
+ "$pkgdir"/etc/Muttrc.gpg.dist || return 1
}
md5sums="7f25d27f3c7c82285ac07aac35f5f0f2 mutt-1.5.24.tar.gz"